<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_65) on Wed Jun 25 14:23:50 JST 2014 -->
<TITLE>
org.apache.zookeeper.server.quorum
</TITLE>

<META NAME="date" CONTENT="2014-06-25">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.apache.zookeeper.server.quorum";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Package</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/zookeeper/server/package-summary.html"><B>PREV PACKAGE</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/zookeeper/server/upgrade/package-summary.html"><B>NEXT PACKAGE</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/zookeeper/server/quorum/package-summary.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-summary.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<H2>
Package org.apache.zookeeper.server.quorum
</H2>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Interface Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/Election.html" title="interface in org.apache.zookeeper.server.quorum">Election</A></B></TD>
<TD>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/FollowerMXBean.html" title="interface in org.apache.zookeeper.server.quorum">FollowerMXBean</A></B></TD>
<TD>Follower MBean</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/LeaderElectionMXBean.html" title="interface in org.apache.zookeeper.server.quorum">LeaderElectionMXBean</A></B></TD>
<TD>Leader election protocol MBean.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/LeaderMXBean.html" title="interface in org.apache.zookeeper.server.quorum">LeaderMXBean</A></B></TD>
<TD>Leader MBean.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/LocalPeerMXBean.html" title="interface in org.apache.zookeeper.server.quorum">LocalPeerMXBean</A></B></TD>
<TD>A local zookeeper server MBean interface.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/ObserverMXBean.html" title="interface in org.apache.zookeeper.server.quorum">ObserverMXBean</A></B></TD>
<TD>Observer MX Bean interface, implemented by ObserverBean</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/QuorumMXBean.html" title="interface in org.apache.zookeeper.server.quorum">QuorumMXBean</A></B></TD>
<TD>An MBean representing a zookeeper cluster nodes (aka quorum peers)</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/QuorumStats.Provider.html" title="interface in org.apache.zookeeper.server.quorum">QuorumStats.Provider</A></B></TD>
<TD>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/RemotePeerMXBean.html" title="interface in org.apache.zookeeper.server.quorum">RemotePeerMXBean</A></B></TD>
<TD>A proxy for a remote quorum peer.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/ServerMXBean.html" title="interface in org.apache.zookeeper.server.quorum">ServerMXBean</A></B></TD>
<TD>A quorum server MBean.</TD>
</TR>
</TABLE>
&nbsp;

<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/AuthFastLeaderElection.html" title="class in org.apache.zookeeper.server.quorum">AuthFastLeaderElection</A></B></TD>
<TD><B>Deprecated.</B>&nbsp;<I>This class has been deprecated as of release 3.4.0.</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/AuthFastLeaderElection.Notification.html" title="class in org.apache.zookeeper.server.quorum">AuthFastLeaderElection.Notification</A></B></TD>
<TD>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/AuthFastLeaderElection.ToSend.html" title="class in org.apache.zookeeper.server.quorum">AuthFastLeaderElection.ToSend</A></B></TD>
<TD>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/CommitProcessor.html" title="class in org.apache.zookeeper.server.quorum">CommitProcessor</A></B></TD>
<TD>This RequestProcessor matches the incoming committed requests with the
 locally submitted requests.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/FastLeaderElection.html" title="class in org.apache.zookeeper.server.quorum">FastLeaderElection</A></B></TD>
<TD>Implementation of leader election using TCP.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/FastLeaderElection.Notification.html" title="class in org.apache.zookeeper.server.quorum">FastLeaderElection.Notification</A></B></TD>
<TD>Notifications are messages that let other peers know that
 a given peer has changed its vote, either because it has
 joined leader election or because it learned of another
 peer with higher zxid or same zxid and higher server id</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/FastLeaderElection.ToSend.html" title="class in org.apache.zookeeper.server.quorum">FastLeaderElection.ToSend</A></B></TD>
<TD>Messages that a peer wants to send to other peers.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/Follower.html" title="class in org.apache.zookeeper.server.quorum">Follower</A></B></TD>
<TD>This class has the control logic for the Follower.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/FollowerBean.html" title="class in org.apache.zookeeper.server.quorum">FollowerBean</A></B></TD>
<TD>Follower MBean inteface implementation</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/FollowerRequestProcessor.html" title="class in org.apache.zookeeper.server.quorum">FollowerRequestProcessor</A></B></TD>
<TD>This RequestProcessor forwards any requests that modify the state of the
 system to the Leader.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/FollowerZooKeeperServer.html" title="class in org.apache.zookeeper.server.quorum">FollowerZooKeeperServer</A></B></TD>
<TD>Just like the standard ZooKeeperServer.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/Leader.html" title="class in org.apache.zookeeper.server.quorum">Leader</A></B></TD>
<TD>This class has the control logic for the Leader.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/Leader.Proposal.html" title="class in org.apache.zookeeper.server.quorum">Leader.Proposal</A></B></TD>
<TD>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/LeaderBean.html" title="class in org.apache.zookeeper.server.quorum">LeaderBean</A></B></TD>
<TD>Leader MBean interface implementation.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/LeaderElection.html" title="class in org.apache.zookeeper.server.quorum">LeaderElection</A></B></TD>
<TD><B>Deprecated.</B>&nbsp;<I>This class has been deprecated as of release 3.4.0.</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/LeaderElection.ElectionResult.html" title="class in org.apache.zookeeper.server.quorum">LeaderElection.ElectionResult</A></B></TD>
<TD>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/LeaderElectionBean.html" title="class in org.apache.zookeeper.server.quorum">LeaderElectionBean</A></B></TD>
<TD>Leader election MBean interface implementation</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/LeaderZooKeeperServer.html" title="class in org.apache.zookeeper.server.quorum">LeaderZooKeeperServer</A></B></TD>
<TD>Just like the standard ZooKeeperServer.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/Learner.html" title="class in org.apache.zookeeper.server.quorum">Learner</A></B></TD>
<TD>This class is the superclass of two of the three main actors in a ZK
 ensemble: Followers and Observers.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/LearnerHandler.html" title="class in org.apache.zookeeper.server.quorum">LearnerHandler</A></B></TD>
<TD>There will be an instance of this class created by the Leader for each
 learner.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/LearnerSessionTracker.html" title="class in org.apache.zookeeper.server.quorum">LearnerSessionTracker</A></B></TD>
<TD>This is really just a shell of a SessionTracker that tracks session activity
 to be forwarded to the Leader using a PING.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/LearnerSyncRequest.html" title="class in org.apache.zookeeper.server.quorum">LearnerSyncRequest</A></B></TD>
<TD>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/LearnerZooKeeperServer.html" title="class in org.apache.zookeeper.server.quorum">LearnerZooKeeperServer</A></B></TD>
<TD>Parent class for all ZooKeeperServers for Learners</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/LocalPeerBean.html" title="class in org.apache.zookeeper.server.quorum">LocalPeerBean</A></B></TD>
<TD>Implementation of the local peer MBean interface.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/Observer.html" title="class in org.apache.zookeeper.server.quorum">Observer</A></B></TD>
<TD>Observers are peers that do not take part in the atomic broadcast protocol.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/ObserverRequestProcessor.html" title="class in org.apache.zookeeper.server.quorum">ObserverRequestProcessor</A></B></TD>
<TD>This RequestProcessor forwards any requests that modify the state of the
 system to the Leader.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/ObserverZooKeeperServer.html" title="class in org.apache.zookeeper.server.quorum">ObserverZooKeeperServer</A></B></TD>
<TD>A ZooKeeperServer for the Observer node type.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/ProposalRequestProcessor.html" title="class in org.apache.zookeeper.server.quorum">ProposalRequestProcessor</A></B></TD>
<TD>This RequestProcessor simply forwards requests to an AckRequestProcessor and
 SyncRequestProcessor.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/QuorumBean.html" title="class in org.apache.zookeeper.server.quorum">QuorumBean</A></B></TD>
<TD>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/QuorumCnxManager.html" title="class in org.apache.zookeeper.server.quorum">QuorumCnxManager</A></B></TD>
<TD>This class implements a connection manager for leader election using TCP.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/QuorumCnxManager.Message.html" title="class in org.apache.zookeeper.server.quorum">QuorumCnxManager.Message</A></B></TD>
<TD>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/QuorumPeer.html" title="class in org.apache.zookeeper.server.quorum">QuorumPeer</A></B></TD>
<TD>This class manages the quorum protocol.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/QuorumPeer.QuorumServer.html" title="class in org.apache.zookeeper.server.quorum">QuorumPeer.QuorumServer</A></B></TD>
<TD>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/QuorumPeerConfig.html" title="class in org.apache.zookeeper.server.quorum">QuorumPeerConfig</A></B></TD>
<TD>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/QuorumPeerMain.html" title="class in org.apache.zookeeper.server.quorum">QuorumPeerMain</A></B></TD>
<TD>Configuration file</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/QuorumStats.html" title="class in org.apache.zookeeper.server.quorum">QuorumStats</A></B></TD>
<TD>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/QuorumZooKeeperServer.html" title="class in org.apache.zookeeper.server.quorum">QuorumZooKeeperServer</A></B></TD>
<TD>Abstract base class for all ZooKeeperServers that participate in
 a quorum.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/ReadOnlyBean.html" title="class in org.apache.zookeeper.server.quorum">ReadOnlyBean</A></B></TD>
<TD>ReadOnly MX Bean interface, implemented by ReadOnlyBean</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/ReadOnlyRequestProcessor.html" title="class in org.apache.zookeeper.server.quorum">ReadOnlyRequestProcessor</A></B></TD>
<TD>This processor is at the beginning of the ReadOnlyZooKeeperServer's
 processors chain.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/ReadOnlyZooKeeperServer.html" title="class in org.apache.zookeeper.server.quorum">ReadOnlyZooKeeperServer</A></B></TD>
<TD>A ZooKeeperServer which comes into play when peer is partitioned from the
 majority.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/RemotePeerBean.html" title="class in org.apache.zookeeper.server.quorum">RemotePeerBean</A></B></TD>
<TD>A remote peer bean only provides limited information about the remote peer,
 and the peer cannot be managed remotely.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/SendAckRequestProcessor.html" title="class in org.apache.zookeeper.server.quorum">SendAckRequestProcessor</A></B></TD>
<TD>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/ServerBean.html" title="class in org.apache.zookeeper.server.quorum">ServerBean</A></B></TD>
<TD>An abstract base class for the leader and follower MBeans.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/StateSummary.html" title="class in org.apache.zookeeper.server.quorum">StateSummary</A></B></TD>
<TD>This class encapsulates the state comparison logic.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/Vote.html" title="class in org.apache.zookeeper.server.quorum">Vote</A></B></TD>
<TD>&nbsp;</TD>
</TR>
</TABLE>
&nbsp;

<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Enum Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/QuorumPeer.LearnerType.html" title="enum in org.apache.zookeeper.server.quorum">QuorumPeer.LearnerType</A></B></TD>
<TD>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/QuorumPeer.ServerState.html" title="enum in org.apache.zookeeper.server.quorum">QuorumPeer.ServerState</A></B></TD>
<TD>&nbsp;</TD>
</TR>
</TABLE>
&nbsp;

<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Exception Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/Leader.XidRolloverException.html" title="class in org.apache.zookeeper.server.quorum">Leader.XidRolloverException</A></B></TD>
<TD>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/zookeeper/server/quorum/QuorumPeerConfig.ConfigException.html" title="class in org.apache.zookeeper.server.quorum">QuorumPeerConfig.ConfigException</A></B></TD>
<TD>&nbsp;</TD>
</TR>
</TABLE>
&nbsp;

<P>
<DL>
</DL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Package</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/zookeeper/server/package-summary.html"><B>PREV PACKAGE</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/zookeeper/server/upgrade/package-summary.html"><B>NEXT PACKAGE</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/zookeeper/server/quorum/package-summary.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-summary.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
